Bug 10506 - smbreadline doesn't build with readline 6.3
smbreadline doesn't build with readline 6.3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-19 20:37 UTC by Ivo De Decker
Modified: 2014-04-04 18:58 UTC (History)
0 users

See Also:


Attachments
4.0 patch cherry-picked from master (1.53 KB, patch)
2014-03-19 21:51 UTC, Andrew Bartlett
jra: review+
Details
4.1 patch cherry-picked from master (1.53 KB, patch)
2014-03-19 21:51 UTC, Andrew Bartlett
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivo De Decker 2014-03-19 20:37:28 UTC
smbreadline doensn't build anymore with readline 6.3. This is fixed in commit 29d779c7029f89e530994c45ae065707ffd62c43 on master. This fix should probably be backported to 4.1 (and older branches)

See http://lists.alioth.debian.org/pipermail/pkg-samba-maint/2014-March/016254.html
Comment 1 Andrew Bartlett 2014-03-19 21:51:09 UTC
Created attachment 9790 [details]
4.0 patch cherry-picked from master
Comment 2 Andrew Bartlett 2014-03-19 21:51:37 UTC
Created attachment 9791 [details]
4.1 patch cherry-picked from master
Comment 3 Jeremy Allison 2014-03-19 21:54:28 UTC
Re-assigning to Karolin for inclusion in 4.0.next, 4.1.next.
Comment 4 Karolin Seeger 2014-03-25 09:55:32 UTC
(In reply to comment #3)
> Re-assigning to Karolin for inclusion in 4.0.next, 4.1.next.

Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 5 Karolin Seeger 2014-04-04 18:58:32 UTC
Pushed to both branches.
Closing out bug report.

Thanks!